GIR2PAS(1)

NAME
gir2pas - Pascal binding generator for GObject Introspection

SYNOPSIS
gir2pas [options] -i filename

DESCRIPTION

-h  --help
    Show this help message.

-i  --input
    GIR filename to convert (without extention).

-o  --output-directory
    Directory to write the resulting .pas files to. If not specified then the current working directory is used.

-D  --dynamic
    Use unit dynlibs and link at runtime

-N  --no-wrappers
    Do not create wrappers for objects.

-w  --overwrite-files
    If the output .pas file(s) already exists then overwrite them.

-n  --no-default
    /usr/share/gir-1.0 is not added as a search location for needed .gir files.

-p  --paths
    List of paths seperated by ":" to search for needed .gir files.

-d  --deprecated
    Include fields and methods marked as deprecated.

-t  --test
    Creates a test program per unit to verify struct sizes.

-P  --unit-prefix
    Set a prefix to be added to each unitname.

-M  --max-version
    Do not include symbols introduced after <max-version>. Can be used multiple times. i.e "-M gtk-3.12 -M glib-2.23"

-k  --keep-deprecated-version
    Include deprecated symbols that are >= to $version. Uses the same format as --max-version. Has no effect if --deprecated is defined

-e  --declare-enums-as
    Declare C enums as either IntConst, TypedIntConst, IntAliasConst, Enum or Set

-v  --verbose
    Verbose level (error, warning, info, debug).